Get Metadata

Gets a list of Metadata objects

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Common next steps after a GET /Metadata/ call:

  • Use Id with PATCH /Metadata/{id}/ to update metadata fields on a conversation.
  • Use Id with GET /Conversations/Transcriptions/{conversationId}/ to fetch the transcript.
  • Use Id with GET /Conversations/Insights/ to retrieve classifier results for the conversation.
  • Page through results by passing the last Id from the current response as LastId on the next call.
Query Params
string
required

Filters based On ArrivedOn date of the metadata File.
ISO-8601 Examples:
UTC datetime: 2022-03-18T21:52:26
UTC datetime with milliseconds: 2022-03-18T21:52:26.8816090Z
UTC date only: 2022-03-19
datetime with timezone: 2022-03-18T17:56:09.8683110-04:00

string
required

Filters based On ArrivedOn date of the metadata File. Must be equal to or later than StartDate.
Records with ArrivedOn equal to EndDate will be included in the results.
ISO-8601 Examples:
UTC datetime: 2022-03-18T21:52:26
UTC datetime with milliseconds: 2022-03-18T21:52:26.8816090Z
datetime with timezone: 2022-03-18T17:56:09.8683110-04:00

string

Valid Options:

  • Audio,
  • Email,
  • Chat,
  • Video,
  • Live,
  • Metadata,
  • ProcessedChat
  • MetadataExtended
string

Comma-separated list of your system's call identifiers. Up to 100 supported per request.

string

GUID of the last result from the previous page. Used for cursor-based pagination.

int32

Maximum number of metadata objects returned per call.

string

Comma-delimited list of hierarchy IDs (GUIDs) to filter by organizational structure. Cannot be used with Chat, Metadata, or MetadataExtended media types as those files are not assigned to a hierarchy.

boolean
Defaults to false

Boolean flag to include the agent's internal code in the response. Defaults to false.

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json